{% extends 'base.html' %}
{% load static %}
        {% block content %}
        </br>
            {% for student in students %}
                {% if forloop.counter|divisibleby:5 or forloop.counter == 1 %}
                    <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 xl:grid-cols-4 gap-4">
                {% endif %}
                    <div class="flex flex-col items-center justify-center bg-white p-4 shadow rounded-lg">
                        <div class="inline-flex shadow-lg border border-gray-200 rounded-full overflow-hidden h-40 w-40">
                            <a href="../../profile/{{student.id}}">
                                <img src="{% static 'img/'%}{{student.id}}.jpeg"
                                 alt="{{student.firstname}} {{student.lastname}}"
                                 class="h-full w-full">
                            </a>
                        </div>

                        <h2 class="mt-4 font-bold text-xl">{{student.firstname}} {{student.lastname}}</h2>
                        <h6 class="mt-2 text-sm font-medium">{{student.yeargroup.name}} | {{student.entreprise}}</h6>

                        <p class="text-xs text-gray-500 text-center mt-3">
                            <a href="mailto:{{student.email}}">{{ student.email }}</a>
                        </p>
                    </div>
                    {% if forloop.counter|divisibleby:4 %}
                        </div></br>
                    {% endif %}
            {% endfor %}
        {% endblock %}

